<?php
namespace nur\sery\output;

use nur\sery\output\std\ProxyMessenger;

/**
 * Class log: inscrire un message dans les logs uniquement
 *
 * Cette classe DOIT être initialisée avant d'être utilisée
 */
class log extends _messenger {
  private static ?IMessenger $msg = null;

  private static bool $setup = false;

  static function is_setup(): bool {
    return self::$setup;
  }

  static function set_messenger(IMessenger $msg) {
    self::$msg = $msg;
    self::$setup = true;
  }

  static function get(): IMessenger {
    return self::$msg ??= new ProxyMessenger();
  }
}
